Summary: Common WebApps Framework for SME Server
%define name smeserver-webapps-common
Name: %{name}
%define version 0.2.21
%define release 1
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: SMEServer/addon

Source: %{name}-%{version}.tar.gz

URL: http://www.firewall-services.com/
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: e-smith-base
Requires: e-smith-apache >= 2.2.0-11
Requires: httpd
Requires: mysql
Requires: php
Requires: openssl-perl
BuildRequires: e-smith-devtools

%description
This package provide common files and events for Web Applications integration
on SME Server

%changelog
* Mon Oct 24 2016 Daniel Berteaud <daniel@firewall-services.com> 0.2.21-1.sme
- Skip rewrites for ACME challenges

* Mon Jun 6 2016 Daniel Berteaud <daniel@firewall-services.com> 0.2.20-1.sme
- MIssing $OUT statement

* Mon Jun 6 2016 Daniel Berteaud <daniel@firewall-services.com> 0.2.19-1.sme
- Allow access to ACME challenge even when access is otherwise restricted

* Tue Feb 9 2016 Daniel Berteaud <daniel@firewall-services.com> 0.2.18-1.sme
- Fix ProxyPass handling logic

* Tue Feb 2 2016 Daniel Berteaud <daniel@firewall-services.com> 0.2.17-1.sme
- Possibility to only foward acme challenge URI

* Sat Jan 23 2016 Daniel Berteaud <daniel@firewall-services.com> 0.2.16-1.sme
- Don't force SSL for acme challenges URI
- Don't proxypass acme challenges by default

* Tue Jan 19 2016 Daniel Berteaud <daniel@firewall-services.com> 0.2.15-1.sme
- Don't hardcode apache ports

* Tue Sep 1 2015 Daniel Berteaud <daniel@firewall-services.com> 0.2.14-1.sme
- Fix AllowHosts when setting more than 2 IP

* Tue Jun 30 2015 Daniel Berteaud <daniel@firewall-services.com> 0.2.13-1.sme
- Add support for setting DirectoryIndex per vhost

* Tue Apr 28 2015 Daniel Berteaud <daniel@firewall-services.com> 0.2.12-1.sme
- Add support for setting the Timeout

* Tue Feb 11 2014 Daniel Berteaud <daniel@firewall-services.com> 0.2.11-1.sme
- Support custom alias on WebAppVirtualHost vhost

* Thu Nov 21 2013 Daniel Berteaud <daniel@firewall-services.com> 0.2.10-1.sme
- Also force SSL when using LemonLDAPBasic auth

* Tue Oct 22 2013 Daniel Berteaud <daniel@firewall-services.com> 0.2.9-1.sme
- Do not load mod_auth_basic and mod_authn_file anymore

* Tue Oct 9 2012 Daniel Berteaud <daniel@firewall-services.com> 0.2.8-1.sme
- Select WebAppVirtualHosts as the default templates for vhosts

* Tue Oct 2 2012 Daniel Berteaud <daniel@firewall-services.com> 0.2.7-1.sme
- Add simple vhost support (domains without DNS or mail handling)

* Thu Sep 13 2012 Daniel Berteaud <daniel@firewall-services.com> 0.2.6-1.sme
- Re-add automatic SSL redirection if LL::NG is used (for back compat)

* Tue Sep 4 2012 Daniel Berteaud <daniel@firewall-services.com> 0.2.5-1.sme
- Support basic auth for domains

* Mon Jun 18 2012 Daniel Berteaud <daniel@firewall-services.com> 0.2.4-1.sme
- Support custom SetEnv for virtualhosts

* Fri Apr 13 2012 Daniel Berteaud <daniel@firewall-services.com> 0.2.3-1.sme
- Add bootstrap.min.css

* Tue Mar 13 2012 Daniel Berteaud <daniel@firewall-services.com> 0.2.2-1.sme
- Add support for RewriteRule or Redirect

* Tue Mar 13 2012 Daniel Berteaud <daniel@firewall-services.com> 0.2.1-1.sme
- Add ServerAlias support in WebAppVirtualHost

* Tue Mar 13 2012 Daniel Berteaud <daniel@firewall-services.com> 0.2.0-1.sme
- Migrate to git

* Fri Jul 22 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-11.sme
- Add an prop to disable the default /icons alias

* Wed Jun 29 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-10.sme
- Allow values enabled, yes on or 1 for RequireSSL
- Implement access restriction with AllowHosts

* Tue Mar 8 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-9.sme
- Integration with PHPki
- Stop restarting mysqld service

* Mon Mar 7 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-8.sme
- Add SSLCACertificateFile directive

* Tue Jan 25 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-7.sme
- Fix httpd template syntax

* Tue Jan 25 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-6.sme
- Load some additional modules for apache if they are found

* Thu Dec 30 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-5.sme
- RequireSSL can take a list of location to rewrite

* Thu Dec 30 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-4.sme
- Only load authn_file if the module exists

* Sun Dec 26 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-3.sme
- Load mod_authn_file

* Thu Dec 16 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-2.sme
- Provide alternative WebAppVirtualHost templates

* Fri Dec 10 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-1.sme
- Add DocumentRoot prop for domains

* Wed Sep 30 2009 Daniel B. <daniel@firewall-services.com> 0.1-0
- Initial rpm

%prep
%setup

%build
perl createlinks
%{__mkdir_p} root/etc/pki/tls/crl

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT

